## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           wl-mirror
Version:        0.16.5
Release:        %autorelease
Summary:        Simple Wayland output mirror client

License:        GPL-3.0-or-later
URL:            https://github.com/Ferdi265/%{name}
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz.sig
# Ferdinand Bachmann <ferdinand.bachmann@yrlf.at> at keys.openpgp.org
Source2:        gpgkey-BC1D9BD570235175.asc

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  pkgconfig(egl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  wayland-protocols-devel >= 1.31

# wlr-protocols may have different licenses, but it does not affect
# the generated code or the binary file license
Provides:       bundled(wlr-protocols) = 0^20220905g4264185

%description
Simple output mirror client for Wlroots-based compositors.

wl-mirror attempts to provide a solution to sway's lack of output
mirroring by mirroring an output onto a client surface.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup
# remove bundled wayland-protocols, just in case
rm -rf proto/wayland-protocols


%build
%cmake \
    -DFORCE_SYSTEM_WL_PROTOCOLS:BOOL=ON \
    -DINSTALL_DOCUMENTATION:BOOL=ON \
    -DINSTALL_EXAMPLE_SCRIPTS:BOOL=ON
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README.md
%{_bindir}/wl-mirror
%{_bindir}/wl-present
%{_mandir}/man1/wl-mirror.1*
%{_mandir}/man1/wl-present.1*


%changelog
## START: Generated by rpmautospec
* Mon Jul 22 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.5-1
- Update to 0.16.5

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 02 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.4-1
- Update to 0.16.4

* Sun Jun 16 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.3-1
- Update to 0.16.3

* Sun Mar 03 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.2-1
- Update to 0.16.2
- Install example scripts

* Sun Feb 04 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.1-1
- Update to 0.16.1

* Tue Jan 30 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.16.0-1
- Update to 0.16.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Dec 30 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.15.0-1
- Update to 0.15.0

* Fri Oct 27 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.14.2-1
- Update to 0.14.2

* Mon Aug 14 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.13.2-1
- Update to 0.13.2

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Mar 17 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.13.1-1
- Update to 0.13.1

* Sat Feb 25 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.13.0-1
- Update to 0.13.0
- Convert License tag to SPDX
- Verify source signature

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Oct 06 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.12.2-1
- Update to 0.12.2

* Mon Jul 25 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.12.1-1
- Update to 0.12.1

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 07 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.11.2-1
- Initial import (#2095936)
## END: Generated by rpmautospec
